Bug 1847769 - [4.5] Unresponsive OpenShift 4.4 cluster on Azure (UPI)
Summary: [4.5] Unresponsive OpenShift 4.4 cluster on Azure (UPI)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.0
Assignee: Sam Batschelet
QA Contact: ge liu
URL:
Whiteboard:
Depends On: 1842431
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-17 01:09 UTC by OpenShift BugZilla Robot
Modified: 2020-07-13 17:44 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
The new backup and restore procedures are vastly different from the procedures in the previous releases. Especially, the restore operation prior to 4.4 required the backed up database to be copied to each of the master nodes, and restored simultaneously on all the master nodes. In the 4.4 and 4.4+ releases, the restore script must be run only on a single master node. Then, by sending a patch command to induce a new revision on spec, will trigger the etcd operator to build etcd pods on the other master nodes.
Clone Of:
Environment:
Last Closed: 2020-07-13 17:44:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 378 None closed Bug 1847769: cluster-backup.sh: error if script dependencies are not met 2020-07-06 21:10:35 UTC
Github openshift openshift-docs pull 23015 None closed [enterprise-4.5] Bug 1847769: backup_and_restore: clarify backup process 2020-07-06 21:10:35 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:44:40 UTC

Comment 6 ge liu 2020-06-24 03:17:06 UTC
Tried with 4.5.0-0.nightly-2020-06-20-194346, added comments in https://bugzilla.redhat.com/show_bug.cgi?id=1842431

Comment 7 errata-xmlrpc 2020-07-13 17:44:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.